> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant Memberships

<Icon icon="key" size={16} /> Required API key permission: **Read Tenant Admin**


## OpenAPI

````yaml firework-v2-openapi get /firework/v2/tenants/{tenant_id}/users
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    Requests are authenticated with API tokens, which are obtained using an API
    key:


    1. Generate an API key from the [Profile
    page](https://app.flare.io/#/profile).

    2. Send a `POST` request to `https://api.flare.io/tokens/generate` with the
    `Authorization: <api-key>` header to get an API token. API tokens expire
    after 1 hour.

    3. Call the API endpoints with the `Authorization: Bearer <api-token>`
    header.


    See [Authentication](https://api.docs.flare.io/concepts/authentication) for
    details.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/tenants/{tenant_id}/users:
    get:
      tags:
        - tenants
      operationId: get_tenant_users_api
      parameters:
        - in: path
          name: tenant_id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantUsers'
          description: Lists users for the specified tenant, ordered by id.
components:
  schemas:
    TenantUsers:
      properties:
        next:
          type: integer
        items:
          items:
            $ref: '#/components/schemas/TenantUser'
          type: array
      type: object
    TenantUser:
      properties:
        id:
          type: integer
        name:
          type: string
        surname:
          type: string
        email:
          type: string
        is_readonly:
          type: boolean
        role:
          enum:
            - viewer
            - editor
            - admin
          example: viewer
          type: string
        is_disabled:
          type: boolean
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.